Create video
curl --request POST \
--url https://api.kynva.ai/api/v1/zapier/actions/video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateId": "<string>",
"headline": "<string>",
"body": "<string>",
"primaryColor": "<string>",
"duration": 123,
"transition": "<string>",
"loopType": "<string>",
"fps": 123
}
'import requests
url = "https://api.kynva.ai/api/v1/zapier/actions/video"
payload = {
"templateId": "<string>",
"headline": "<string>",
"body": "<string>",
"primaryColor": "<string>",
"duration": 123,
"transition": "<string>",
"loopType": "<string>",
"fps": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateId: '<string>',
headline: '<string>',
body: JSON.stringify('<string>'),
primaryColor: '<string>',
duration: 123,
transition: '<string>',
loopType: '<string>',
fps: 123
})
};
fetch('https://api.kynva.ai/api/v1/zapier/actions/video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Zapier
Create video
Create a video or GIF (Zapier action)
POST
/
api
/
v1
/
zapier
/
actions
/
video
Create video
Authorizations
Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)
Body
application/json
Response
200
Default Response
⌘I